---------------------------------------------------
| Under the maintenance of Porres, Kwan and Barber: 
---------------------------------------------------

--------------------------------------------------
cyclone 0.9-1 (needs at least Pd Vanilla 0.55-0):
--------------------------------------------------
- Improved the object browser plugin 

--------------------------------------------------
cyclone 0.9-1 (needs at least Pd Vanilla 0.55-0):
--------------------------------------------------

- Improved object browser plugin
- Fixed some compilation bugs and improved 64 bit support

--------------------------------------------------
cyclone 0.9-0 (needs at least Pd Vanilla 0.55-0):
--------------------------------------------------

- Compilation and binaries in double precision is now supported and provided
- [append] has been deprecated, use [list append] and [list trim] instead
- [forward] has also been deprecated, just use [send] or regular message boxes, will you?
- [xbendin]/[xbendin2]/[xbendout]/[xbendout2] have been deprecated, use [midiformat] and [midiparse] instead (I doubt anyone is using such badly designed and silly objects anyway)
- The documentation has been revised and considering PlugData users, and many ELSE alternatives were added in a new 'see also' section (because ELSE is also part of PlugData), as well as Vanilla alternatives/related objects
- Added a browser plugin for objects on right click on an empty spot of the patch
- [trunc~] is now borrowed and equivalent to ELSE's [trunc~] which has multichannel support
- Fixed a bug in [zl.group] where it did not load the default arg
- Fixed regression bugs in [offer], list input works now and other things that were funny seems ok now (we introduced this bug in 0.3)
- [buffer~]: Added support for 64-bit audio files in [buffer~] (Pd 0.55 in double precision is required for this); object has been rewritten and now uses [file which] with 0.55's functionality that allows finding files in the parent. Added support for arguments in the 'read' message and implemented 'replace' message (the object doesn't really behave 100% like the MAX original because that one is bugged as fuck)

--------------------------------------------------
cyclone 0.8-1 (needs at least Pd Vanilla 0.54-1):
--------------------------------------------------

- [zl] fixed some bugs and now the format where the mode comes after the dot (as in [zl.len]) is allowed.
- [phaseshift~]: Fix div-by-zero and potential blow up
- Improved/fixed seeding on random objects: [rand~] and [decide]

--------------------------------------------------
cyclone 0.8-0 (needs at least Pd Vanilla 0.54-0):
--------------------------------------------------

- Opening "all_objects" doesn't crash Pd anymore and we don't know why it did.
- Fixed [play~] bang output to just bang once when stopping.
- Fixed loading help file of [cyclone/snapshot~].
- [cyclone]: added 2nd and 3rd outlet for pd version and flavour
- [comment]: fix setting receive name from properties, fixed 'set' message at lodbang, improved loading internal symbols and made it deprecated and removed from the other help files* 

* this clears the room for forks of Pd to not need to port [comment] to some other front gui, an example is PlugData, which does not support [comment] and does not have plans to. The [comment] object will stick around but will receive no further real attention other than a real crucial or minor bugs and will be kept for backwards compatibility, but it is not encouraged to use this object which will never be a proper clone of MAX's [comment] anyway - just consider using [note] from ELSE instead, because it's the actual original object now and the one that'll keep being worked on.

- [number~]: made it deprecated and removed from the other help files

- Revised the help files also to include the [output~] abstraction available in Pd Vanilla 0.54-0, which can take a mono input and send it to a stereo output (solely for this reason, it's best you have Pd Vanilla 0.54-0 installed for this release). For this reason the [out~] abstraction from ELSE is not being borrowed anymore.

- made [minimum~] and [maximum~] deprecated, as they're basically the same as Vanilla's [min~] and [max~], with the advantage that vanilla's [min~]/[max~] can take multichannel signals as of Pd 0.54-0.

- also made [pow~] and [clip~] deprecated, as they're quite similar to Vanilla's [pow~] and [clip~], also there's the advantage that vanilla's [pow~]/[clip~] can take multichannel signals.


--------------------------------------------------
cyclone 0.7-0 (needs at least Pd Vanilla 0.53-1):
--------------------------------------------------

- [number~] can now print 'nan' thanks to new features in Pd 0.53
- [scope~]: Fixed resizing issues when zoomed. Added undo. Minor cosmetic changes that were considered unnecessary as it only tried to mimmick a bit more the original aspect in MAX when selecting the object and we're already failing in doing tha 100% perfectly anyway, plus other minor cosmetic improvements.
- [comment]: We finally have a decent properties window (thanks to Tim Schoen)!!! Fixed some issues with zooming. Fixed many issues with resizing and also justification. Fixed saving parameters. Improved drawing the handle. Fixed resizing when maximum width wasn't set. Added undo. Added outline parameter. Added width parameter (this was only set before via dragging the handle in edit mode). This is now diverging from the original MAX object and is basically a clone of [else/note], an object from the ELSE library that was originally based on cyclone's [comment]. This also completes the updates to this object which was almost the last one to get updated.
- [mtr] starting to update this object to MAX 7 at last (and this is the last one that never got updated). Added attributes @speed / @trackspeed / @loop and @embed. We missed updates to this one as it was included some time after 7.0! There are numerous things to add and we won't be able to add them all. More are yet to come until we can say we finally reached the goal of updating Cyclone to MAX 7!
- [pink~] is now a whole new object stolen from ELSE, which has more features but it's also backwards compatible.
- [pow~] added missing 'Pow~' alias for Linux and error/warning (like other objects that clash in Vanilla - can't believe we still missed getting all of these right)
- [coll] now updates window if it's opened and when you use the 'read'/'readagain' messages
- [acosh] fixed bug calculating the value
- [record~] fixed regression bug in loading arguments
- [out~] object, borrowed from ELSE, removed and not used in the documentation anymore. We now use [output~] which should be called from Pd's 'extra' library (it was included there in version 0.52).

--------------------------------------------------
cyclone 0.6-1 (needs at least Pd Vanilla 0.52-1):
--------------------------------------------------

- fixed many typos.
- bitwise signal operators now are not "bitsafe"  
- objects can now find and open files added to Pd's search path, affected objects: [funbuff], [mtr], [table], [seq] and [coll].
- [scope~]/[comment]:
  - fixed tcl error when closing a subpatch with an object in it while in edit mode (reopening the patch would ruin things up).
  - fixed deleting the resizing handle when deleting the object.

--------------------------------------------------
cyclone 0.6-0 (needs at least Pd Vanilla 0.52-1):
--------------------------------------------------

- [cyclone] (binary/lib) fixed checking minimum Pd version
- [buffer~] added support to .caf files (thanks to updates in soundfiler for Pd 0.52-0)
- [comment] thanks to updates in Pd 0.52-0 we can now fully support natively italic variants of DejaVu Sans Mono
- [record~]: fix arg loading (allowing $1)
- [play~]: fix arg loading (allowing $1)
- [wave~]: fix arg loading (allowing $1)
- [mtr]: fix recording bangs, anythings and lists that start with a symbol (this object hasn't been updated to MAX 7 and we just realized that - it's the only one in cyclone that got no updates at all, hopefully we'll get to it)
- [seq]: 
  - Partially updated to MAX 7 (finally) added new 'clear'/addeventdelay messages from MAX 7, but we haven't added the float argument to 'write' message so it forces saving files with separate tracks.
  - Fixed 'tick' message where the first message after 'start -1' wouldn't count.
  - 'read' message now warns when file is not found, same for file argument. 
  - The "end of track" byte is now found and respected.
  - Opening files while reading an old one now restart from the beginning.
  - The 'print' message was fixed to show absolute time values like in MAX.
  - Extra feature of the display/editor window via clicking was restored back (it had been removed n the cyclone 0.3 experimental phase)
  - Times in the edit window are now displayed in absolute as it's the standard for 'print' in MAX and the text file (therefore it was considered a bug).
  - Improved the  edit window behaviour, now clicking on the object raises and focuses on the window if it's already opened. The contents are also updated on the opened window when changed.
  - Improved documentation significantly, added examples for all messages and we also explain now how to save and load text files and its format.

--------------------------------------------------
cyclone 0.5-6 (needs at least Pd Vanilla 0.51-3):
--------------------------------------------------

- Some minor documentation fixes and improvements.
- [split]: now it's float mode only
- [deltaclip~]: added safeguards so it doesn't go crazy
- [grab]: now it can also grab from built-in receive names in GUIs
- [zl queue]: fixed a bug (not clearing and sending '-1' after reaching a size of 0).
- Fixed once more again many issues with creating capital letters aliases and I can't believe we're still doing this. It's gotta be ok now!
- Also fixed packaging capital letters aliases for linux yet once again as we said we had done in 0.5-4 but apparently screwed up one more time (no code has changed, again) - sorry.

--------------------------------------------------
cyclone 0.5-5 (needs at least Pd Vanilla 0.51-3):
--------------------------------------------------

-[anal]: fixed 'reset' message and fixed/improved documentation
-[prob]: If the window is opened: update window graphically after inputs/clear and raise window on clicking the object.
-[Table]: If the window is opened, raise window on clicking the object.
-[capture]: If the window is opened: update window graphically after inputs/clear and raise window on clicking the object.
-[capture~]: If the window is opened: update window graphically after clear and raise/update window on clicking the object.
-[scope~]: Fixed loading as "Scope~".
-[comment]: 'Menlo' is the default font for Mac, since that's Pd's default font for Mac in 0.51-3.

--------------------------------------------------
cyclone 0.5-4 (needs at least Pd Vanilla 0.51-0):
--------------------------------------------------


- Fixed packaging/uploading Upper Case aliases objects for Linux (such as Line~, etc) - this is not a change in code so this can be done for earlier 0.5 releases.
- Changed the install description, now it is advised to use [declare -path] and add it to the preferences to force search priority.
- Fixed cross compiling for windows.
- [fromsymbol]: fixed converting to floats for all float cases (regression bug from 0.3).
- Fixed loading "cyclone/snapshot~" as "cyclone/Snapshot~", and "cyclone/table" as "cyclone/Table".
- [urn]: fixed seed bug and improved/fixed documentation.
- Fixed saving and loading resizing information for object boxes, affects: [coll], [funbuff], [table] and [prob].
- [coll]: now coll window updates graphically when you're changing data via methods (before you had to close and reopen the window). Another thing is that the window now gets raised into focus if it's already open and you either click on the object or send an "open" message to it. And now deleting the object will force closing the window if it's opened (there was an exception when this didn't happen).  
- [unjoin]: fixed output order of outlets (now it's from right to left).
- [plusequals~] (or +=~): increased the output resolution to a 'double'.
- [record~]: fixed an old bug (since cyclone 0.1 phase) where record~ would freeze Pd; fixed number of channels, and now you can resize the array to a bigger size that it'll work.
- [scope~]:
   - Pd doesn't ask anymore if you want to save changes if you changed the object's parameters via messages (this is in line with how iemguis work).
   - Improved GOP management, such as erasing when out of GOP's bounds
   - Improvement of the resize mechanism via handle.
   - Redesign of the resize handle interface. Now when you get in and out of edit mode, the handle shows up in the bottom right corner for you to resize the object - there's also a new and more proper cursor for what it does "bottom_right_corner". Before you had to first select the object like in Max, but now this is more in line with how resizing regularly works for Pd, where you don't need to select the object first.
- [comment]:
   - Pd doesn't ask anymore if you want to save changes if you changed the object's parameters via messages (this is in line with how iemguis work).
   - Fixed a bug where you could lose the comment when saving the patch (regression bug from 0.5-2)
   - Fixed graph on parent (GOP) display when loading patch (regression bug from 0.5-3)
   - Fixed setting colors via a loadbang message
   - Better drawing when loading of the patch (it'd generate a wrong outline for a very brief moment before getting it right). 
   - Improved GOP management, such as erasing when out of GOP's bounds
   - Designed a new resizing handle that works much better.

--------------------------------------------------
cyclone 0.5-3 (needs at least Pd Vanilla 0.51-0):
--------------------------------------------------


- [cyclone]: Pd version check fixed in the cyclone binary (previous version would complain if you installed a version higher than 0.51-0).
- [cyclone/table]: if window is open and you set values via messages, the values are now updated graphically (you needed to close and open the window for it to reflect the changes).

- [togedge]: non integer floats not allowed as in Max.

- [mousestate]: 
      - Fixed poll message (regression bugs from 0.5-0 and 0.3). 
      - Fixed bugs in reset/zero message (update values only or if polling) 
      - Fixed polling for multiple objects in different modes.

- [scope~]: Added a missing receive symbol box in the properties window.

- [comment]:
      - Fixed getting the object's area
      - Better handling of "\" in append/prepend methods.
      - Now we draw an outline when in edit mode. 
      - There's a better handling of resizing now as well.
      - Added support for foreign alphabets.
      - More examples in the documentation on how to use backslash and different alphabets.
      - Properties: better handling of 'empty' receive symbols / fix 'bg flag'.

--------------------------------------------------
cyclone 0.5-2 (needs at least Pd Vanilla 0.51-0):
--------------------------------------------------

- scope:
   - fixed a couple of tcl/tk errors and some drawing issues when outta bounds in a GOP.
   - scope now draws inlets when in edit mode, like in Max and cyclone comment.
   - Added a receive symbol (like in comment)

- comment:
   - fixed some drawing issues when outta bounds in a GOP. Code has been revised and has now a better handling of arguments and a proper handling of dollarsign args.
   - Added a ver rudimentary and preliminary properties window 

--------------------------------------------------
cyclone 0.5-1 (needs at least Pd Vanilla 0.51-0):
--------------------------------------------------

- This bug fix release fixes a regression bug from 0.50-0 in scope~, where bufsize wasn't being set. 

--------------------------------------------------
cyclone 0.5-0 (needs at least Pd Vanilla 0.51-0):
--------------------------------------------------

- Re-added support for capital letters aliases - this is for backwards compatibility and now the object prints and error telling the user to change to the new name. The affected objects are: cyclone/append (*); bucket; cyclone/clip (*); decode; histo; mousestate; peak; cyclone/table (*); togedge; trough; uzi; cyclone/clip~ (*); cyclone/line~ (*); scope~; cyclone/snapshot~ (*)

(*) these classes need the 'cyclone/' prefix to avoid name clashes with vanilla internals - see help file for more information.

- when loaded as an object, the 'cyclone' library now also outputs the version number. You can use this to make sure your patch has the right version.

- Fixed a bug in active where it was reporting inactivity when right clicking on the canvas in Linux.

- Fixed a bug in [zl delace] where it only worked in macOS and not in Windows/Linux

- Added a few new message methods/attributes to [number~], thanks to the new inlet~ 'fwd' feature from Pd 0.51 (namely bang, list, set, ft1, interval, minimum, maximum, bgcolor, textcolor).

- [scope~]: 
   A- Fixed a regression bug in scope~ where it wouldn't draw if loaded in a patch with DSP on
   B- Added zoom support and now the patch properly asks if you want to save changes when parameters change. 

- [comment]:
   A- Added zoom support and now the patch properly asks if you want to save changes when parameters change. 
   B- Visual change where it now shows its inlet while in edit mode (like it happens in Max)
   C- Fixed a bug in [comment] where it couldn't load font names that had spaces (such as "DejaVu Sans Mono") and made the default font "DejaVu Sans Mono" like in Pd. But this only works well in Pd 0.51-0 or later!
   D- Documentation has been revised to only contain DejaVu Sans Mono fonts in all cyclone/comment objects
   E- Updated [comment] to add missing Max 5 parameters (added 'fontface', 'underline' and 'bgcolor' methods/attributes, plus an extra 'bg' method/attribute to suppress background)
   F- Also added 'textjustification' from Max6. This object isn't fully compliant to Max6+ and is the only one that will not be fully updated - for instance, it misses all that "bubble stuff". Nonetheless, this was the last object that needed further updates from cyclone's 0.3's goal to update objects to Max 7. This means that this mission is finally completed!

--------------------------------------------------
cyclone 0.4-0 (needs at least Pd Vanilla 0.50-2):
--------------------------------------------------

- Fixed a 0.3 regression bug (this was ok in 0.2) where an annoying 'couldn't unbind' error was printed by [mousestate]

- Fixed a bug where [comment] was loading arguments wrongly

- Fixed the way [comment] should save unexpanded receive symbols

- Fixed a bug in [unjoin] where it did output an empty selector

- Thanks to the new [pdcontrol] object from 0.50.0, buffer~ can now load files relative to its owner patch.

- Temporarily removing support for capital letters aliases. The last version of cyclone attempted to included capital letters for backwards compatibility but with a note that this was being phased out. The fact is that Linux distributions didn't have this working properly. Since an easy way to fix this wasn't found, cyclone 0.4 removes this backwards compatibility. This feature may come back if an easy way to support it is found - but eventually these aliases will be phased out for good. The affected objects and how they must be instantiated now are: cyclone/append (*); bucket; cyclone/clip (*); decode; histo; mousestate; peak; cyclone/table (*); togedge; trough; uzi; cyclone/clip~ (*); cyclone/line~ (*); scope~; cyclone/snapshot~ (*)

(*) these classes need the 'cyclone/' prefix to avoid name clashes with vanilla internals - see help file for more information.

--------------------------------------------------
cyclone 0.3-0 (needs at least Pd Vanilla 0.49-0)
--------------------------------------------------

Summary: Cyclone 0.3 represents the major overhaul in cyclone and includes: 1) objects updated to the last Max 7 version (7.3.5); 2) Many new objects; 3)Numerous bug fixes; 4) Completely rewritten documentation. See details below!

A) Restoring the original cyclone's goal of Max/MSP compatibility in the project's 'readme'.

B) Restoring the 'cyclone' library. By default, this contains only the objects that used to be in the 'nettles' library, but the cyclone library also loads cyclone's path so you can load the other objects that are compiled as separate binaries or abstraction (you can now also create a [cyclone] external object that loads the library). There's a separate option on how to compile cyclone as a single library (see 'readme' for more details).

C) Readded the "threaded" behaviour in [coll] but without the extra 2nd "threaded" argument introduced to [coll] in cyclone 0.2 because it breaks Max/MSP compatibility - the second argument now sets a functionality that was introduced in Max 4.0.8 for not searching for a file. The threaded feature is now set as an extra "attribute" (@threaded 0/1) and the threaded behaviour is now the default.

D) 40 New objects, including:

2 Abstractions: [buffer~] and [number~]

38 Compiled externals: [acosh], [asinh], [atanh], [atodb], [atodb~], [bitsafe~], [cross~], [dbtoa], [dbtoa~], [degrade~], [downsamp~], [equals~] **, [gate~], [greaterthan~] **, [greaterthaneq~] **, [join], [lessthan~] **, [lessthaneq~] **, [listfunnel], [loadmess], [modulo~] **, [notequals~] **, [pak], [phaseshift~], [plusequals~] **, [pong], [rdiv] **, [rdiv~] **, [rminus] **, [rminus~] **, [round], [round~], [scale], [scale~], [selector~], [thresh~], [trunc~] and [unjoin].

** These are alphanumeric versions of the objects in the cyclone sub-library, which contains non-alphanumeric objects: ==~ - !=~ - <~ - <=~ - >~ - >=~ - !-~ - !/~ - %~ - +=~

E) Updated objects (61 Objects affected), including:

- 7 objects that were updated to include only missing functionalities from Max 4 - as some functionalities introduced after Max 4.0 were never reflected into cyclone. Since cyclone has long been considered a Max 4 compatible library, such missing functionalities may also be considered as "bugs" rather than updates:
	- [anal] - Max size increased to 16384
	- [substitute] - 1st only mode
	- [mousestate] - mode 1 and 2
	- [onebang] - 'stop' method / input for anything / right outlet
	- [slide~] - reset / slide_up / slide_down methods
	- [funbuff] - clipboard operations
	- [vectral~] - size / clear messages

- 53 objects that were updated to current Max's version; +=~ (alias of [plusequals~]) - [acos~] - [acosh~] - [asin~] - [atanh~] - [average~] - [bitand~], [bitnot~], [bitor~], [bitshift~], [bitxor~], [buffir~], [capture] *, [cartopol], [change~], [coll] *, [count~], [counter], [curve~], [cycle~], [decode], [delay~], [deltaclip~], [fromsymbol], [funnel], [linedrive], [matrix~], [maximum], [midiformat], [midiparse], [minimum], [minmax~], [mousefilter], [offer], [overdrive~], [peak], [play~], [poltocar], [pong~], [record~], [scope~], [snapshot~], [spike~], [spray], [sustain], [table], [tosymbol], [trapezoid~], [triangle~], [trough], [uzi] *, [wave~] and [zl] *.

     * *Objects that also required updates from Max 4: [capture] - input for anythings; 
       [coll] - renumber2 method / 2nd argument; [uzi] - 2nd argument; 
       [zl] - sort method.

- 1 object partially updated; [comment], a fully compatible object for versions 6+ won't be possible and currently [comment] is partially compliant to Max 5.

F) Assorted Fixes (65 Objects affected), including:

- 32 objects that were also updated :
	- [comment] - improved the issue of not rendering the same in different platforms (still buggy), added inlet and methods, fixed behaviour in a subpatch (made it visible).
	- [mousefilter] - it wasn't filtering on the click moment
	- [average~] - fixed argument to actually set maximum size, change size clears the buffer
	- [bitand~] - fixed for 64 bits & fixing the secondary inlet behaviour
	- [bitor~] - fixed for 64 bit & fixing the secondary inlet behaviour
	- [bitxor~] - fixed for 64 bit & fixing the secondary inlet behaviour
	- [bitnot~] - fixed for 64 bits
	- [bitshift~] - fixed for 64 bits
	- [offer] - y values are only int
	- [funbuff] - no output on 2nd inlet for find method / floats converted to int on input / set shouldn't clear contents / got rid of useless "reduce" and inexisting method
	- [slide~] - fixed the output reaching the target 
	- [coll] - (not ready yet) input order, 3rd outlet bang, insert message 
	- [counter] - fixed starting value / 4th inlet bang behaviour / setmin message / current and ancient mode / maximum count value / min-max args in any order / state method in all inlets / behaviour when max < min
	- [sustain] - input methods, order of flushing noteoffs
	- [funnel] - fixed the bang method
	- [uzi] - fixed the default arg
	- [curve~] - fixed factor (argument/3rd inlet) & max truplets
	- [scope~] - several bug fixes (ike many default values; subpatch freeze bug; x/y mode: 		crash/freeze in 64bits and lines instead of points - aded y mode only, added drawstyle, 		added properties windows!
	- [count~] - fixed the min message, set message and 2nd inlet 
	- [spike~] - fixed the time resolution (it was off by one sample)
	- [linedrive] - default args, clip output values
	- [+=~] - fixed the float input bug / outputs 0 when signal not connected
	- [pong~] - wrapping bug fix 
	- [buffir~] - fixed weird behaviour on 64 bits
	- [record~] - fixed the output, the reset/append messages and number of channels
	- [cycle~] - fixed the DSP reset, made the cosine table symmetric & some bugs with wrapping through the table
	- [matrix~] - fixed list input bug (was updating gain arg) 
	- [minmax~] - fixed the way it is reset and no signal input behaviour
	- [wave~] - fixed number of channels	
	- [play~]  - fixed number of channels
	- [table]  - "write" and method flags method (still has known issues). 
	- [zl]  - numerous bug fixes, big ones are: size management, and fixes in modes group, len, sub & nth

- 32 objects that did not need updates:
	- [!/] - div by 0 is now 0
	- [pow~] - nan/inf output become 0
	- [cartopol~] - fixed the behaviour for no input for 1st inlet
	- [poltocar~] - fixed the behaviour for no input for 1st inlet
	- [buddy] - fixed the bang method
	- [bondo] - fixed the symbol method/selector
	- [cycle] - fixed the symbol method/selector
	- [capture~] - fixed data display
	- [rampsmooth~] - fixed the bug where it was extrapolating the value for 1 sample, allowed the update of ramp values while the ramp is still running.
	- [kink~] - fixed restrains for argument
	- [rand~] - neg input becomes 0, workaround to allow max freq input = sample rate;
	- [click~] - max setable size to 256
	- [index~] - fixed the input channel clipping
	- [line~] - max pair to 128
	- [past] - bugs with list behaviour
	- [sprintf] - added missing 'symout' argument, fixed behaviour without arguments, not allowing bangs in secondary inlets, fixed the output for %ld and negative inputs, plus other minor improvements.
	- [pv] - got rid of annoying error with [send] sharing the same name, made it instantiate without arguments
	- [train~] - now when width is "0" it has a pulse of 1 sample, and a pulse of "n-1" samples for width = 1 / also improved the way phase onset actually works
	- [poke~] -  fixed to automatic redrawing
	- [allpass~] - default max delay to 10ms - / corrected the filter formula -allow blow ups
	- [comb~] - default max delay to 10ms / allowing blowups / corrected the filter formula
	- [teeth~] - newly written object based on the new rewrite of [comb~], adding full compatibility/functionality to the external and fixing bugs - this object was introduced in alpha57 as an abstraction by porres and made into a compiled object in 0.2beta2
	- [lookup~] - max table size is array's size, added linear interpolation
	- [onepole~] - default args
	- [thresh] - fixed input message types and errors
	- [append] - fixed useless inlet bug, bang behaviour and symbol input
	- [prepend] - fixed useless inlet bug, bang behaviour
	- [seq] - start message needed to restart sequence (still has known bugs to be fixed)
	- [sampstoms~] - float input now reflects on signal output
	- [mstosamps~] - float input now reflects on signal output
	- [asin] - removed protection against nan (was unchecked)
	- [acos] - removed protection against nan (was unchecked)

G) Objects' names to lowcase by default and avoiding nameclash [17 Objects affected]: [line~], [scope~], [uzi], [borax], [bucket], [decode], [histo], [peak], [trough], [clip], [pow~], [clip~], [snapshot~], [table], [mousestate], [togedge] and [append]

H) Fixing proper input types for signal objects (mostly not allowing float input in main signal input), 64 objects affected: non-alphanumeric objects **, [acos~], [acosh~], [allpass~], [asin~], [asinh~], [atan~], [atan2~], [atanh~], [avg~], [bitand~], [bitor~], [bitxor~], [buffir~], [capture~], [cartopol~], [click~], [clip~], [comb~], [cosh~], [cosx~], [curve~], [delay~], [delta~], [deltaclip~], [edge~], [frameaccum~], [framedelta~], [index~], [kink~], [lookup~], [lores~], [matrix~], [minmax~], [maximum~], [minimum~], [onepole~], [peakamp~], [phasewrap~], [pink~], [poltocar~], [pow~], [rampsmooth~], [reson~], [sah~], [sinh~], [sinx~], [slide~], [spike~], [svf~], [tanh~], [tanx~], [vectral~], [wave~] and [zerox~]

** non-alphanumeric objects are: ==~ - !=~ - <~ - <=~ - >~ - >=~ - !-~ - !/~ - %~ - +=~

I) Other things removed/included: Replaced the [output~] abstraction by an extra named [out~], borrowed from the "else" library. Another object borrowed from "else" is [setdsp~]. Objects [abs~] and [log~] were deleted because now vanilla also has these objects with the exact same function/behaviour, so they became redundanct. We also completely removed 'cyclist' from the build system and threw away the code (this was something that could make patches from max 4 era open in Pd with cyclone, but this needed 'maxmode' to run, which already had been removed in 0.1alpha57.

J) Completely rewritten and redesigned documentation, solving numerous issues/mistakes (still in progress)

------------------------------------------
| Under the maintenance of Fred Jan Kraan: 
------------------------------------------

0.2beta3
  * coll: removed threaded behaviour as it has impact on the windows distribution 

0.2beta2
  * coll: added .DLL dependencies so the threaded version works in windows
  * teeth~: replaced porres' abstraction for a compiled binary version
  * added 'cyclist' as a build target

0.2beta1
  * coll: substituting it for pd-l2ork's version, with threaded functionality and argument
  * scope~: Added 'resize' and 'grbg' methods
  * frameaccum~: added wrap-mode 
  * matrix~: changed default ramp for non-binary mode
  * delay~: added clear message


0.1.alpha57  
  * removed maxmode
  * fixed "bits " message for bitand~, bitor~ and bitxor~ (bug #1186, svn r17418), 
  * fixed crash on "set " message for count~ (svn r17394), 
  * added 'pause', 'resum' and 'stop' messages to Line~ (svn r17398), 
  * fixed poltocar~ phase polarity (svn r17483), 
  * fixed rand~ argument (bug #1177), 
  * Bucket: added a new max 4 mode, which loads values different (svn revision 17484)
  * changed in arsic/vefl.c the call of garray_getfloatarray to garray_getfloatwords and the calling code in buffir~, cycle~, index~, lookup~, peek~, play~, poke~, record~ and wave~ perform methods (svn r17482, r17393 r17397), 
  * fixed the file handling in funbuff (bug #1188, svn r17419), 
  * fixed the seed argument in decide, and made normal behaviour more random, 
  * updated build_counter to 57, 
  * updated cyclone-meta.pd, 
  * updated help-patches and added 'always in sync' output~.pd and dspSwitch.pd (svn r17422, r17471), 
  * fixed issue in slide~ with incorrect down-slide when specifying a low-value up-slide (svn r17475), 
  * changed the rampsmooth~ ramp to linear as specified in the documentation (svn r17474), 
  * checked and improved sah~ help-patch (svn r17473), 
  * added 'separate' message to coll object (svn r17418), 
  * fixed offset argument in cycle~ (svn r17479), 
  * fixed internal path for comment (bug #215, svn r17480, r17481), 
  * added max4.6 second argument (svn r17484), 
  * changed the nettles library object to operate outside the cyclone library object (svn r17485), 
  * fixed help for the nettles and load with declare (replacing import) (svn r17486), 
  * added teeth~ abstraction (svn r17488), 
  * fixed the rampsmooth~ inlets (svn r17490), 
  * removed the logpost(version) at 'all' level to improve < 0.43 compatibility (svn r17591), 
  * added new build system files (expected to replace the native build system) (svn r17492). 
  * Added examples to cyclone cartopol~ and poltocar~ help patches (svn r17493), 
  * Fixed [lookup~] behaviour (svn r17495).

| Under the maintenance of Hans-Christoph Steiner (Late Pd Extended era): 

0.1.alpha56 - available in the last pd extended version (0.43.4) - found as "cyclone-v0-0extended" when searching for externals (in Pd Vanilla 0.47+):
  * fixed inversed phase output of cartopol~ (but not poltocar~ ruining the pair)
  * added all-lower-case aliases to objects with capital letters cause this was possible since Max 3!

----------------------------------------------------------------
| Under the maintenance of Krzysztof Czaja, the original author: 
----------------------------------------------------------------

0.1.alpha55 -  available in most Pd-Extended versions up to Pd-Extended 0.42.5:
  * new class: overdrive~
  * seq:
    . new incompatible message 'tempo': 1-based coef, does not start playback
    . fix for double-to-float-pair calc in 'scoretime' and 'goto'
  * abs~: performance fix
  * slide~, rampsmooth~: bashing denormals

0.1.alpha54
  * comment: fixing namespace bug, reducing traffic
  * testmess: optionally filling message with symbols (numbers in hex form
    or names of all registered classes)

0.1.alpha53:
  * matrix~: incompatible message 'set'
  * coll:
    . fixed descending order of 'sort' (a leaking sentinel bug)
    . ignoring negative indices in 'min' and 'max'
    . editor fixes (close by wm, dirty flag, title)
  * Table: reading from file, reading from editor, editor fixes
  * seq: editor fixes, editor bound to click (should bind to "open" too...)
  * prob, capture, capture~: viewer fixes

0.1.alpha52:
  * compatibility mode interface in maxmode object:
    messages 'set', 'get' (reply through the second outlet)
  * better handling of initial directory in open panels
  * relative path handling in 'cd' (library objects, seq, more to come)
  * remote reply to 'pwd' message of library objects (target argument required)
  * instead, left outlet of library objects sends return code from import
    (negative value indicates an error)
  * new class: matrix~
  * linedrive: more compatible in maxmode, bipolar otherwise
  * seq:
    . paused state fixes (state preserved in 'goto', proper delay in 'start')
    . 'goto' fix (works in idlemode)
    . more incompatible messages: 'scoretime', 'cd', 'pwd'

0.1.alpha51:
  * dummies loaded by maxmode, not cyclone
  * setting directory in creation argument replaced with 'cd' message
    to library objects (cyclone, maxmode, hammer and sickle)
  * 'pwd' message to library objects sends directory symbol to an outlet
  * creating cyclone and maxmode library objects possible without
    loading component libraries
  * prepend and Append:
    . bang handling, controlled by maxmode
    . restored max-like 'set' handling as default for objects with arguments
  * fix for parsing creation arguments in svf~
  * incompatible additions to seq: 'pause', 'continue', 'goto'

0.1.alpha50:
  * max-compatibility mode switch for cyclone
    . turned on by loading cyclone libs through "-lib maxmode"
    . affects max-compatibility of prepend and Append, controls
      compatibility warnings
      
 Changelog for Earlier Cyclone Versions (0.1.alpha1 to 0.1.alpha49) Unavailable...
